{% from "macros/regform_macro.html" import render_field %}
{% extends "base.html" %}

{% block pagetitle %} Index {% endblock %}

{% block content %}
<h1>Welcome to the Bucket List!</h1>
<p>Server Time: {{server_time}}</p>


<div class="container">
    <form action="{{url_for('inventory.add_product')}}" method ="post">
        <h2 class="form-signin-heading">Add to Inventory</h2>
        <dl>
            {{ render_field(form.product_name) }}
            {{ render_field(form.product_price) }}
        </dl>
        {% with messages = get_flashed_messages(category_filter=["signup_failure"]) %}
        {% for message in messages %}
            <div class="alert alert-danger alert-dismissible">
                <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
                {{message}}
            </div>
        {% endfor %}
        {% endwith%}
        <input class='btn btn-lg btn-primary btn-block' type='submit' />
    </form>
</div>

{% endblock %}